%define debug_package %{nil}

%define luaver 5.3
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

%define __noautoreq '/usr/bin/lua5.3'

Summary:	Deployment and management system for Lua modules
Name:		luarocks
Version:	2.4.3
Release:	2
License:	MIT
Group:		Development/Other
Url:		http://www.luarocks.org/
Source0:	https://github.com/luarocks/luarocks/archive/%{version}.tar.gz?/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(lua) >= %{luaver}
Requires:	lua >= %{luaver}
Requires:	wget

%description
LuaRocks allows you to install Lua modules as self-contained packages called
"rocks", which also contain version dependency information. This information
is used both at install time, so that when one rock is requested all rocks it
depends on are installed as well, and at run time, so that when a module is
required, the correct version is loaded. LuaRocks supports both local and
remote repositories, and multiple local rocks trees.

%files
%doc COPYING
%{_sysconfdir}/luarocks/config-%{luaver}.lua
%{_bindir}/*
%{luapkgdir}/%{name}/*

#----------------------------------------------------------------------------

%prep
%setup -q

for file in COPYING_7z; do
	sed "s|\r||g" $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done


%build
./configure \
	--prefix=/usr \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--rocks-tree=%{lualibdir} \
	--lua-suffix=%{luaver}
%make

%install
%makeinstall_std

%changelog

* Tue Sep 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.4.3-2
- (3ec3b0a) Bump release


